#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5040ed0, "dma_direct_unmap_sg" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8c4df26f, "of_device_get_match_data" },
	{ 0x461d16ca, "sg_nents" },
	{ 0x19423132, "crypto_dequeue_request" },
	{ 0xd3ee3c12, "dma_set_mask" },
	{ 0xf5e2a763, "__ll_sc_arch_atomic_add_return" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0x9d21558e, "devm_ioremap_resource" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x4653ba05, "dma_set_coherent_mask" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0xffa0957c, "crypto_ahash_digest" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e995a6d, "crypto_aes_expand_key" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b48e28, "__memset_io" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0xbee1132d, "crypto_unregister_skcipher" },
	{ 0xf93da63c, "crypto_register_ahash" },
	{ 0xa55e1afb, "dma_direct_map_page" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd71d43aa, "platform_get_resource" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x8ed2e71d, "crypto_register_skcipher" },
	{ 0x8355c99a, "crypto_enqueue_request" },
	{ 0x80041942, "dma_direct_unmap_page" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3683492a, "platform_get_irq_byname" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb59352da, "crypto_destroy_tfm" },
	{ 0xddb7a530, "crypto_unregister_ahash" },
	{ 0xed9bcdff, "dev_driver_string" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b7ecd96, "crypto_unregister_aead" },
	{ 0x84273599, "dma_direct_map_sg" },
	{ 0xc87c1bf, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0x55fcf823, "request_firmware" },
	{ 0x7a4497db, "kzfree" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8f611488, "dmam_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x8a56d1ae, "param_ops_uint" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xef52a5c6, "release_firmware" },
	{ 0xdb511f34, "dmam_pool_create" },
	{ 0x6b0cf842, "crypto_alloc_ahash" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sha512_generic,authenc,des_generic";


MODULE_INFO(srcversion, "8F5BAF7B4C59872276C2E14");

MODULE_INFO(suserelease, "SLE15-SP2");
