#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x1b1ee6ad, "drm_gem_cma_dumb_create" },
	{ 0xf861d299, "drm_gem_prime_mmap" },
	{ 0x54eb5222, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0xd052a300, "drm_gem_prime_fd_to_handle" },
	{ 0x7a6bdeef, "drm_gem_prime_handle_to_fd" },
	{ 0x2b37206c, "drm_cma_gem_create_object_default_funcs" },
	{ 0xc725a85, "drm_release" },
	{ 0x257496f1, "drm_open" },
	{ 0xbd71b367, "drm_gem_cma_mmap" },
	{ 0xb9f58a94, "drm_compat_ioctl" },
	{ 0x1f4388e8, "drm_ioctl" },
	{ 0x6f5d0959, "drm_poll" },
	{ 0xcd2b2b24, "drm_read" },
	{ 0x73a78a8, "noop_llseek" },
	{ 0x3b2352cc, "drm_gem_fb_simple_display_pipe_prepare_fb" },
	{ 0xebd1e69c, "drm_atomic_helper_commit" },
	{ 0x705bdbcb, "drm_atomic_helper_check" },
	{ 0x4fd00600, "drm_gem_fb_create_with_dirty" },
	{ 0x24bd2bfd, "driver_unregister" },
	{ 0xe60f8417, "__spi_register_driver" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x614492ed, "gpiod_get_value_cansleep" },
	{ 0x12a38747, "usleep_range" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x962978a7, "drm_crtc_send_vblank_event" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0x3af9afbf, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x3befb337, "dma_buf_end_cpu_access" },
	{ 0xf222794c, "drm_fb_xrgb8888_to_gray8" },
	{ 0x7a6ab1cf, "dma_buf_begin_cpu_access" },
	{ 0x677e4314, "thermal_zone_get_temp" },
	{ 0x58f2aa76, "drm_dev_enter" },
	{ 0xf9ab9243, "drm_fb_cma_get_gem_obj" },
	{ 0xd653b126, "sched_clock" },
	{ 0xc421e60a, "thermal_zone_get_zone_by_name" },
	{ 0x51eda000, "spi_get_device_id" },
	{ 0xa018b617, "drm_dev_printk" },
	{ 0x6a23aeec, "drm_fbdev_generic_setup" },
	{ 0x3e350b38, "drm_dev_register" },
	{ 0xae890d53, "drm_mode_config_reset" },
	{ 0x40eed1db, "tinydrm_display_pipe_init" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x6d98bcb, "device_property_read_string" },
	{ 0x93ebb1fc, "devm_gpiod_get" },
	{ 0xa5429e39, "drm_mode_config_init" },
	{ 0x38abc96a, "devm_drm_dev_init" },
	{ 0x4653ba05, "dma_set_coherent_mask" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xd3ee3c12, "dma_set_mask" },
	{ 0x72f68f00, "of_match_device" },
	{ 0x83eac0bc, "drm_dev_fini" },
	{ 0x6253b084, "drm_mode_config_cleanup" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x52edbc32, "gpiod_set_value_cansleep" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x797b08cb, "spi_sync" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x94e093ab, "drm_dev_unplug" },
	{ 0xbaf2f4a2, "drm_atomic_helper_shutdown" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper,tinydrm";

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "9157A65FB96C0CC784E15D0");

MODULE_INFO(suserelease, "SLE15-SP2");
