#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xfaff6e2f, "eth_validate_addr" },
	{ 0x7ed1bb1a, "eth_mac_addr" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0xa6c082ff, "usb_autopm_get_interface" },
	{ 0x4f3424, "__dev_kfree_skb_any" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0x6382d142, "pskb_expand_head" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe91e3254, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc7637d5b, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf40845d9, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe2e2dfc0, "usb_reset_configuration" },
	{ 0x91c4c8b4, "alloc_etherdev_mqs" },
	{ 0xef52a5c6, "release_firmware" },
	{ 0x55fcf823, "request_firmware" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa1db1c3d, "usb_alloc_urb" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb06e8356, "netif_carrier_on" },
	{ 0x8339c560, "usb_autopm_put_interface" },
	{ 0xc7686f1c, "__dev_kfree_skb_irq" },
	{ 0xeea08641, "netif_tx_wake_queue" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xffe0fc34, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xf46dcd8f, "__dynamic_netdev_dbg" },
	{ 0x83fc99f8, "free_netdev" },
	{ 0x93424e02, "usb_free_coherent" },
	{ 0x86889a83, "usb_free_urb" },
	{ 0x7322c429, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x81cf068, "usb_kill_urb" },
	{ 0x3618db1, "netif_rx" },
	{ 0x95ae3184, "eth_type_trans" },
	{ 0x561e7d01, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdbd7e7b8, "__netdev_alloc_skb" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "37FCC6F1DA21BDC750C3232");

MODULE_INFO(suserelease, "SLE15-SP2");
