#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xfe24378e, "param_ops_bool" },
	{ 0x89b41aec, "rt2x00usb_resume" },
	{ 0x41d0d919, "rt2x00usb_suspend" },
	{ 0x343bb1e5, "rt2x00usb_disconnect" },
	{ 0xf4198fea, "rt2x00mac_tx_frames_pending" },
	{ 0x6ee25b8e, "rt2x00mac_get_ringparam" },
	{ 0xe58c4e6, "rt2x00mac_get_antenna" },
	{ 0x82ed1cb9, "rt2x00mac_set_antenna" },
	{ 0xa19d030b, "rt2x00mac_flush" },
	{ 0x11ae5fde, "rt2x00mac_rfkill_poll" },
	{ 0xc0cf3872, "rt2x00mac_conf_tx" },
	{ 0x2e4b0171, "rt2x00mac_get_stats" },
	{ 0x25605f4e, "rt2x00mac_sw_scan_complete" },
	{ 0x4a3f36e1, "rt2x00mac_sw_scan_start" },
	{ 0x7dd2a627, "rt2x00mac_set_key" },
	{ 0x591fcadc, "rt2x00mac_set_tim" },
	{ 0x408ab494, "rt2x00mac_configure_filter" },
	{ 0xca1a297f, "rt2x00mac_bss_info_changed" },
	{ 0x41a4edf9, "rt2x00mac_config" },
	{ 0x4cef6866, "rt2x00mac_remove_interface" },
	{ 0x5336abf0, "rt2x00mac_add_interface" },
	{ 0xdfde8fc7, "rt2x00mac_stop" },
	{ 0xaa3bab6e, "rt2x00mac_start" },
	{ 0xadfef5b4, "rt2x00mac_tx" },
	{ 0x5c2b76d5, "rt2x00usb_flush_queue" },
	{ 0xfc3117dc, "rt2x00usb_kick_queue" },
	{ 0x7ef88400, "rt2x00usb_watchdog" },
	{ 0xe68a980e, "rt2x00usb_clear_entry" },
	{ 0x292b7d89, "rt2x00usb_uninitialize" },
	{ 0x9651cc0b, "rt2x00usb_initialize" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xf40845d9, "_dev_info" },
	{ 0xff04f458, "rt2x00lib_set_mac_address" },
	{ 0xb11aeb12, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82785e9e, "rt2x00usb_disable_radio" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x979326bb, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4daa60ff, "consume_skb" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0x4a04ed1e, "skb_push" },
	{ 0xfdfb4aff, "skb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4268b908, "rt2x00usb_vendor_request_buff" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x78057578, "rt2x00usb_probe" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "SLE15-SP2");
