#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x30a44750, "param_ops_string" },
	{ 0xffd9a389, "param_ops_int" },
	{ 0x6eaf21c9, "usbnet_resume" },
	{ 0xd327ea03, "usbnet_suspend" },
	{ 0xf0169a5a, "usbnet_disconnect" },
	{ 0xf40198d3, "usbnet_probe" },
	{ 0x785e429b, "rndis_tx_fixup" },
	{ 0x126a9c01, "rndis_rx_fixup" },
	{ 0xfe28ebdf, "rndis_status" },
	{ 0x955a6876, "usbnet_get_stats64" },
	{ 0x2194d014, "usbnet_tx_timeout" },
	{ 0xfaff6e2f, "eth_validate_addr" },
	{ 0x7ed1bb1a, "eth_mac_addr" },
	{ 0x1e5d0cdb, "usbnet_start_xmit" },
	{ 0xbedd4315, "usbnet_stop" },
	{ 0x2fe7676d, "usbnet_open" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xba96ea95, "wiphy_register" },
	{ 0xa3dc1187, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x13f446fe, "wiphy_new_nm" },
	{ 0xfa5f9eff, "netdev_err" },
	{ 0x6a097866, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0x246cb605, "cfg80211_cqm_rssi_notify" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdc254246, "netif_carrier_off" },
	{ 0xddb2b6d1, "cfg80211_disconnected" },
	{ 0x66e22d60, "__ll_sc_arch_atomic64_fetch_andnot" },
	{ 0xc5850110, "printk" },
	{ 0x8759ffa8, "cfg80211_roamed" },
	{ 0xcc6b17a, "cfg80211_connect_done" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0xb06e8356, "netif_carrier_on" },
	{ 0x8b64954a, "usbnet_resume_rx" },
	{ 0xf9016c05, "cfg80211_ibss_joined" },
	{ 0xd83a6901, "wiphy_free" },
	{ 0x35ad99, "wiphy_unregister" },
	{ 0xac43aa8f, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ed1c08e, "usbnet_pause_rx" },
	{ 0x150c611, "cfg80211_michael_mic_failure" },
	{ 0xb55f1aea, "cfg80211_pmksa_candidate_notify" },
	{ 0x622d335c, "netdev_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2b715f53, "cfg80211_scan_done" },
	{ 0x89bd7971, "cfg80211_put_bss" },
	{ 0x6e7fefe0, "cfg80211_inform_bss_data" },
	{ 0x3b5a389b, "ieee80211_get_channel" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeb216081, "netdev_warn" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf46dcd8f, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x9ec9bb2c, "rndis_command" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
