#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x48ccd310, "dev_attr_phy_event_threshold" },
	{ 0xfa0216a7, "hisi_sas_host_reset" },
	{ 0x75310d0a, "sas_bios_param" },
	{ 0x3e05c00f, "sas_change_queue_depth" },
	{ 0x32d83261, "hisi_sas_scan_start" },
	{ 0x59b0d907, "hisi_sas_scan_finished" },
	{ 0x91ed5050, "sas_target_destroy" },
	{ 0x1ba335d5, "sas_target_alloc" },
	{ 0x8914751d, "hisi_sas_slave_configure" },
	{ 0x7176119c, "sas_eh_target_reset_handler" },
	{ 0xbefe8e62, "sas_eh_device_reset_handler" },
	{ 0x17d3aa18, "sas_queuecommand" },
	{ 0x96e00985, "sas_ioctl" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x782bb42, "hisi_sas_init_mem" },
	{ 0x9a9b9241, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5040ed0, "dma_direct_unmap_sg" },
	{ 0x487cb98f, "sas_ssp_task_response" },
	{ 0xe2c14a77, "hisi_sas_slot_task_free" },
	{ 0xef26223e, "hisi_sas_sata_done" },
	{ 0xde7e99f1, "hisi_sas_probe" },
	{ 0x5338f5f, "hisi_sas_phy_down" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3eab8429, "hisi_sas_phy_oob_ready" },
	{ 0xb18b786d, "hisi_sas_notify_phy_event" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xcff2ef1c, "device_property_read_u32_array" },
	{ 0x91a4251a, "device_property_present" },
	{ 0x405d52eb, "regmap_read" },
	{ 0xc30a3f00, "regmap_write" },
	{ 0xab5aec7d, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29361773, "complete" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0x6dbb29cb, "platform_get_irq" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x479c3c86, "find_next_zero_bit" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x156a5102, "hisi_sas_get_ncq_tag" },
	{ 0x87b8798d, "sg_next" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xb91aa9d8, "to_hisi_sas_port" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc87ddada, "hisi_sas_phy_enable" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xfa9cde3f, "hisi_sas_remove" },
	{ 0x891fe62, "hisi_sas_kill_tasklets" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libsas,hisi_sas_main";

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "F120A329621B599D2CD838F");

MODULE_INFO(suserelease, "SLE15-SP2");
