#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xabc19dac, "param_array_ops" },
	{ 0xfe24378e, "param_ops_bool" },
	{ 0xd632eefd, "param_ops_charp" },
	{ 0x8a56d1ae, "param_ops_uint" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0x1c24c081, "usb_bulk_msg" },
	{ 0x711fdee3, "usb_set_interface" },
	{ 0x2f531fcf, "kthread_create_on_node" },
	{ 0xa1db1c3d, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x46b204fe, "sysfs_create_group" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xb73df117, "freezing_slow_path" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x86889a83, "usb_free_urb" },
	{ 0x81cf068, "usb_kill_urb" },
	{ 0x31ce8c6a, "kthread_stop" },
	{ 0xbf28c29c, "sysfs_remove_group" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xefdfc3a3, "usb_string" },
	{ 0xa24ec952, "request_firmware_nowait" },
	{ 0x3ea0415, "wake_up_process" },
	{ 0xed674abd, "atm_dev_signal_change" },
	{ 0x1ea0698f, "usbatm_usb_probe" },
	{ 0x3d2df2ad, "usb_reset_device" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x5a921311, "strncmp" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x3597de32, "kernel_param_unlock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5fdd58cb, "kernel_param_lock" },
	{ 0x4df02057, "crc32_be" },
	{ 0xef52a5c6, "release_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x55fcf823, "request_firmware" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xf6f54bd5, "usb_driver_claim_interface" },
	{ 0x1e805a65, "usb_ifnum_to_if" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x37a0cba, "kfree" },
	{ 0x2fb8c9ed, "usb_control_msg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x89974bef, "usbatm_usb_disconnect" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,atm,usbatm";

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F498BB492AD10B4C02B1394");

MODULE_INFO(suserelease, "SLE15-SP2");
