#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5a785cd4, "pci_bus_type" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5acfaecc, "usb_add_hcd" },
	{ 0xfd73fa2c, "__pm_runtime_disable" },
	{ 0x8c4df26f, "of_device_get_match_data" },
	{ 0x3a116731, "usb_remove_hcd" },
	{ 0xd3ee3c12, "dma_set_mask" },
	{ 0x36c23623, "__usb_create_hcd" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x9d21558e, "devm_ioremap_resource" },
	{ 0x106f360b, "pm_runtime_forbid" },
	{ 0x92c65967, "devm_clk_get_optional" },
	{ 0x4653ba05, "dma_set_coherent_mask" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x85989705, "usb_put_hcd" },
	{ 0xeb446265, "xhci_init_driver" },
	{ 0x1d5163ea, "usb_hcd_is_primary_hcd" },
	{ 0xae1cfc61, "xhci_run" },
	{ 0xc5850110, "printk" },
	{ 0xbf4d954d, "xhci_resume" },
	{ 0xd71d43aa, "platform_get_resource" },
	{ 0x6b4b2933, "__ioremap" },
	{ 0xf94e1d4b, "device_wakeup_enable" },
	{ 0xcff2ef1c, "device_property_read_u32_array" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xbb3af587, "pm_runtime_enable" },
	{ 0x5c1c3eb4, "cpu_hwcaps" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x64e38fa7, "__pm_runtime_set_status" },
	{ 0x5e2d7875, "cpu_hwcap_keys" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xa045dc30, "devm_usb_get_phy_by_phandle" },
	{ 0xb8b65be, "of_usb_host_tpl_support" },
	{ 0x6d741fcb, "xhci_gen_setup" },
	{ 0x45a55ec8, "__iounmap" },
	{ 0x6dbb29cb, "platform_get_irq" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x3633b13d, "xhci_suspend" },
	{ 0xb2ead97c, "kimage_vaddr" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0xeb9d2c10, "of_fwnode_ops" },
	{ 0xab5aec7d, "is_acpi_device_node" },
	{ 0x2f743ca9, "usb_hcd_platform_shutdown" },
	{ 0x91a4251a, "device_property_present" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,xhci-hcd";

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796C*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhciC*");

MODULE_INFO(srcversion, "72A00D8FC27D5CFA97FCD6B");

MODULE_INFO(suserelease, "SLE15-SP2");
