#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xffe0fc34, "usb_unlink_urb" },
	{ 0x9447e67f, "sdev_prefix_printk" },
	{ 0xee0d5827, "usb_unanchor_urb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0x29c85963, "usb_anchor_urb" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0xa1db1c3d, "usb_alloc_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x5ee9fdd4, "scsi_add_host_with_dma" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x938f5d2a, "scsi_host_alloc" },
	{ 0xc16b6ff7, "usb_stor_adjust_quirks" },
	{ 0xab2e6f69, "blk_queue_max_hw_sectors" },
	{ 0x12c6f879, "blk_queue_update_dma_alignment" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xeff650d0, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x83496717, "usb_lock_device_for_reset" },
	{ 0xcbf0a2e6, "scsi_host_put" },
	{ 0xf663b6e7, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x81cf068, "usb_kill_urb" },
	{ 0x2e4d537d, "usb_get_urb" },
	{ 0x871efae0, "scsi_print_command" },
	{ 0x7c1c9fd9, "scmd_printk" },
	{ 0xd5c6c994, "scsi_report_bus_reset" },
	{ 0x24ab33be, "usb_alloc_streams" },
	{ 0xb9278171, "scsi_change_queue_depth" },
	{ 0x57db62af, "scsi_is_host_device" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x86889a83, "usb_free_urb" },
	{ 0x9e41cd64, "scsi_unblock_requests" },
	{ 0xf820428d, "dev_printk" },
	{ 0x1768c87e, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d2df2ad, "usb_reset_device" },
	{ 0x711fdee3, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4c4bac11, "usb_free_streams" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usb-storage,scsi_mod";

MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "4F9870555BD741CBCEC675C");

MODULE_INFO(suserelease, "SLE15-SP2");
