#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x32077bd3, "snd_hda_gen_free" },
	{ 0xb0f3c9f3, "snd_hda_codec_get_pin_target" },
	{ 0x65ab1c28, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0x58836cd4, "snd_hda_gen_parse_auto_config" },
	{ 0x41a01616, "snd_hda_add_verbs" },
	{ 0x6375dc60, "snd_hda_apply_fixup" },
	{ 0xaaa07d0c, "snd_hda_pick_fixup" },
	{ 0x27363b3a, "snd_hda_mixer_amp_tlv" },
	{ 0xedc0d27f, "snd_hda_gen_build_pcms" },
	{ 0xab30e90a, "snd_hda_jack_unsol_event" },
	{ 0x8eddb264, "snd_hda_gen_update_outputs" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x671fb15f, "snd_hda_get_path_from_idx" },
	{ 0x66083bf9, "snd_hda_mixer_amp_volume_get" },
	{ 0x2ea6e110, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x2fa1270f, "snd_hda_gen_check_power_status" },
	{ 0x9340bae6, "snd_hda_codec_set_pin_target" },
	{ 0x157fd2ec, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x6487f2c4, "snd_hda_gen_add_micmute_led" },
	{ 0x42d8b0e, "snd_hda_activate_path" },
	{ 0x92d3808e, "snd_hda_gen_init" },
	{ 0x32dcd414, "snd_hda_parse_pin_defcfg" },
	{ 0xe0765a6a, "snd_hda_jack_set_gating_jack" },
	{ 0x361ca91, "__hda_codec_driver_register" },
	{ 0x77380732, "snd_hda_override_amp_caps" },
	{ 0x1182399b, "snd_ctl_boolean_mono_info" },
	{ 0xf40845d9, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x40663239, "_snd_hdac_read_parm" },
	{ 0x88089b8a, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x1c69bfa3, "snd_hda_gen_reboot_notify" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xd6176970, "snd_hda_gen_add_kctl" },
	{ 0xe1bf3ef2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xea8ce30a, "snd_hdac_codec_write" },
	{ 0x9ffa832d, "snd_hda_add_new_path" },
	{ 0x4e341e5a, "hda_codec_driver_unregister" },
	{ 0xed997fef, "snd_hda_mixer_amp_switch_info" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x5dc2cb74, "snd_hda_gen_spec_init" },
	{ 0x52ad07f8, "snd_hda_jack_detect_state_mst" },
	{ 0x284075fc, "snd_hdac_regmap_read_raw" },
	{ 0x86024e41, "snd_hda_mixer_amp_volume_info" },
	{ 0x725b6871, "query_amp_caps" },
	{ 0x822a7c3, "snd_hda_gen_mic_autoswitch" },
	{ 0xb9a2946e, "snd_hda_gen_build_controls" },
	{ 0xd099e691, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B7D7A58C9F55F4515792288");

MODULE_INFO(suserelease, "SLE15-SP2");
