#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x7feb113a, "snd_hdac_regmap_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x32077bd3, "snd_hda_gen_free" },
	{ 0x65ab1c28, "snd_hda_mixer_amp_volume_put" },
	{ 0xcd17736a, "snd_hdac_codec_read" },
	{ 0x59e3bd04, "snd_hda_enum_helper_info" },
	{ 0x58836cd4, "snd_hda_gen_parse_auto_config" },
	{ 0x41a01616, "snd_hda_add_verbs" },
	{ 0x6375dc60, "snd_hda_apply_fixup" },
	{ 0xaaa07d0c, "snd_hda_pick_fixup" },
	{ 0x27363b3a, "snd_hda_mixer_amp_tlv" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xedc0d27f, "snd_hda_gen_build_pcms" },
	{ 0xdf8b917b, "snd_hda_override_conn_list" },
	{ 0x88defa3d, "snd_hda_check_amp_list_power" },
	{ 0xab30e90a, "snd_hda_jack_unsol_event" },
	{ 0xd202ca5d, "snd_hda_codec_set_pincfg" },
	{ 0xe302d86, "snd_hda_mixer_amp_switch_put" },
	{ 0x66083bf9, "snd_hda_mixer_amp_volume_get" },
	{ 0x6aa7660b, "snd_hda_codec_set_name" },
	{ 0xd930a57, "snd_hda_mixer_amp_switch_get" },
	{ 0x92d3808e, "snd_hda_gen_init" },
	{ 0x32dcd414, "snd_hda_parse_pin_defcfg" },
	{ 0x361ca91, "__hda_codec_driver_register" },
	{ 0x77380732, "snd_hda_override_amp_caps" },
	{ 0x1182399b, "snd_ctl_boolean_mono_info" },
	{ 0xc4789948, "snd_hda_get_bool_hint" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x40663239, "_snd_hdac_read_parm" },
	{ 0x88089b8a, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0xd6176970, "snd_hda_gen_add_kctl" },
	{ 0xe1bf3ef2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xea8ce30a, "snd_hdac_codec_write" },
	{ 0x76b23de7, "snd_hda_codec_get_pincfg" },
	{ 0x4e341e5a, "hda_codec_driver_unregister" },
	{ 0xed997fef, "snd_hda_mixer_amp_switch_info" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x5dc2cb74, "snd_hda_gen_spec_init" },
	{ 0x284075fc, "snd_hdac_regmap_read_raw" },
	{ 0x86024e41, "snd_hda_mixer_amp_volume_info" },
	{ 0xb9a2946e, "snd_hda_gen_build_controls" },
	{ 0xf54febd8, "snd_hda_get_connections" },
	{ 0x28ca3326, "snd_hda_shutup_pins" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-core,snd-hda-codec-generic,snd-hda-codec,snd";

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "76FF8CCAAC38E913968718A");

MODULE_INFO(suserelease, "SLE15-SP2");
