#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x85d14019, "caam_drv_ctx_update" },
	{ 0x5040ed0, "dma_direct_unmap_sg" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5bbdfa26, "scatterwalk_ffwd" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0x542f2149, "crypto_register_akcipher" },
	{ 0x77239729, "irq_of_parse_and_map" },
	{ 0xa2ca9c81, "cnstr_shdsc_sk_hash" },
	{ 0xde197ee7, "cnstr_shdsc_rfc4106_encap" },
	{ 0xd3ee3c12, "dma_set_mask" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0xb565778, "cnstr_shdsc_aead_null_decap" },
	{ 0x365743d4, "cnstr_shdsc_skcipher_encap" },
	{ 0xf9d52e64, "cnstr_shdsc_gcm_encap" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x29e067e0, "caam_strstatus" },
	{ 0xdbe87ed9, "cnstr_shdsc_aead_null_encap" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2e2f468, "dma_direct_sync_single_for_cpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x4807c98f, "cnstr_shdsc_gcm_decap" },
	{ 0x1acfc0ca, "of_device_is_compatible" },
	{ 0xf552714b, "dma_free_attrs" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xc49eef36, "caam_drv_ctx_rel" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x17572340, "caam_congested" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0x4653ba05, "dma_set_coherent_mask" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x561b13c5, "sg_miter_start" },
	{ 0xc5850110, "printk" },
	{ 0x38652fed, "of_iomap" },
	{ 0xbee1132d, "crypto_unregister_skcipher" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x14ed1f5b, "__des3_ede_setkey" },
	{ 0x34d7a545, "sg_miter_stop" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0xf93da63c, "crypto_register_ahash" },
	{ 0xa55e1afb, "dma_direct_map_page" },
	{ 0x7453b64b, "caam_qi_enqueue" },
	{ 0xe8825e52, "dma_alloc_attrs" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0xcfb721b4, "cnstr_shdsc_aead_givencap" },
	{ 0x118d7a27, "crypto_unregister_akcipher" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x52100f1f, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x8ed2e71d, "crypto_register_skcipher" },
	{ 0x6b180e91, "cnstr_shdsc_aead_decap" },
	{ 0x7f453e45, "sg_miter_next" },
	{ 0x6fcb990c, "cnstr_shdsc_rfc4106_decap" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x80041942, "dma_direct_unmap_page" },
	{ 0x78150112, "cnstr_shdsc_aead_encap" },
	{ 0xf40845d9, "_dev_info" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb8b9f817, "kmalloc_order_trace" },
	{ 0x1abbc54e, "cnstr_shdsc_chachapoly" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xddb7a530, "crypto_unregister_ahash" },
	{ 0xed9bcdff, "dev_driver_string" },
	{ 0x235526b3, "cnstr_shdsc_ahash" },
	{ 0x6cfb19d0, "hwrng_register" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xae9b707c, "cnstr_shdsc_skcipher_decap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b7ecd96, "crypto_unregister_aead" },
	{ 0x84273599, "dma_direct_map_sg" },
	{ 0xc87c1bf, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0x1e3e28bb, "dma_direct_sync_single_for_device" },
	{ 0x88259359, "cnstr_shdsc_rfc4543_decap" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x7a4497db, "kzfree" },
	{ 0x45a55ec8, "__iounmap" },
	{ 0x39f774b2, "cnstr_shdsc_rfc4543_encap" },
	{ 0xc0eaa792, "qi_cache_alloc" },
	{ 0xd25da602, "caam_dump_sg" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0xb605aeff, "hwrng_unregister" },
	{ 0x84ff442a, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0xb5cec344, "caam_drv_ctx_init" },
	{ 0x44ae4bc4, "qi_cache_free" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc1514a3b, "free_irq" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=caam,caamhash_desc,caamalg_desc,error,des_generic,authenc";

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");

MODULE_INFO(srcversion, "A2A737A4E2E7693492CED62");

MODULE_INFO(suserelease, "SLE15-SP2");
