#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5040ed0, "dma_direct_unmap_sg" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0x19423132, "crypto_dequeue_request" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x2e982eee, "of_gen_pool_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd0fe8d51, "sg_pcopy_from_buffer" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x9d21558e, "devm_ioremap_resource" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x51e77c97, "pfn_valid" },
	{ 0xffa0957c, "crypto_ahash_digest" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0x7e995a6d, "crypto_aes_expand_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd1042169, "of_match_node" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0xbee1132d, "crypto_unregister_skcipher" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0xf93da63c, "crypto_register_ahash" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x8ed2e71d, "crypto_register_skcipher" },
	{ 0x5d0759e4, "dma_direct_map_resource" },
	{ 0x8355c99a, "crypto_enqueue_request" },
	{ 0xf40845d9, "_dev_info" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0xb59352da, "crypto_destroy_tfm" },
	{ 0xddb7a530, "crypto_unregister_ahash" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0x7783a8e3, "platform_get_resource_byname" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x37a0cba, "kfree" },
	{ 0x84273599, "dma_direct_map_sg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0x7a4497db, "kzfree" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6dbb29cb, "platform_get_irq" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0xa94ee70c, "of_property_read_variable_u32_array" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0xdb511f34, "dmam_pool_create" },
	{ 0x6b0cf842, "crypto_alloc_ahash" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=des_generic";

MODULE_ALIAS("of:N*T*Cmarvell,orion-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,orion-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,kirkwood-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,kirkwood-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,dove-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,dove-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-370-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-370-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-xp-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-xp-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-38x-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-38x-cryptoC*");
MODULE_ALIAS("platform:mv_crypto");

MODULE_INFO(srcversion, "85A14BF448DA84C1560C6D6");

MODULE_INFO(suserelease, "SLE15-SP2");
