#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x11402fd6, "vb2_ioctl_streamoff" },
	{ 0x12995ece, "vb2_ioctl_streamon" },
	{ 0x2466848c, "vb2_ioctl_prepare_buf" },
	{ 0xec62eeff, "vb2_ioctl_create_bufs" },
	{ 0x70d7e186, "vb2_ioctl_dqbuf" },
	{ 0x6cd331ac, "vb2_ioctl_qbuf" },
	{ 0xf5285f73, "vb2_ioctl_querybuf" },
	{ 0x130dc73e, "vb2_ioctl_reqbufs" },
	{ 0x2daa504d, "vb2_fop_release" },
	{ 0xee42554b, "v4l2_fh_open" },
	{ 0x1eb41c92, "vb2_fop_mmap" },
	{ 0xf749243a, "video_ioctl2" },
	{ 0xaa5bf9e4, "vb2_fop_poll" },
	{ 0x760306d7, "vb2_fop_read" },
	{ 0x55696f9a, "vb2_ops_wait_finish" },
	{ 0x8d39d937, "vb2_ops_wait_prepare" },
	{ 0x67b5953, "i2c_del_driver" },
	{ 0x10289f61, "i2c_register_driver" },
	{ 0x3ea0415, "wake_up_process" },
	{ 0x2f531fcf, "kthread_create_on_node" },
	{ 0x31ce8c6a, "kthread_stop" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc30a3f00, "regmap_write" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xe0de3066, "__video_register_device" },
	{ 0x3c942a98, "devm_nvmem_register" },
	{ 0xeaff5085, "__pm_runtime_use_autosuspend" },
	{ 0xa9a3fc5c, "pm_runtime_set_autosuspend_delay" },
	{ 0xbb3af587, "pm_runtime_enable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ee41a83, "vb2_queue_init" },
	{ 0x268be7e6, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x17af5372, "v4l2_device_register" },
	{ 0xd789b933, "__regmap_init_i2c" },
	{ 0x66037704, "device_get_match_data" },
	{ 0xe189e710, "dev_fwnode" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xb73df117, "freezing_slow_path" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x533e24d4, "vb2_buffer_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x64e7051, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0cfd3d0, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x76c6b094, "regmap_exit" },
	{ 0xaf75580f, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8ecbc19a, "video_unregister_device" },
	{ 0x64e38fa7, "__pm_runtime_set_status" },
	{ 0xfd73fa2c, "__pm_runtime_disable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0x946bb947, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x75073b88, "__pm_runtime_resume" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x5c073891, "devm_hwmon_device_register_with_info" },
	{ 0xcfb46d0f, "regmap_get_device" },
	{ 0x53983517, "regmap_update_bits_base" },
	{ 0xe0f1bf7b, "regmap_bulk_read" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "SLE15-SP2");
