#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xffd9a389, "param_ops_int" },
	{ 0x7e34d03f, "v4l2_event_unsubscribe" },
	{ 0xa0d7b325, "v4l2_ctrl_subscribe_event" },
	{ 0xaa3576c9, "v4l2_ctrl_log_status" },
	{ 0xf749243a, "video_ioctl2" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0xc0cabfb6, "videobuf_read_one" },
	{ 0xc6ffe818, "videobuf_streamon" },
	{ 0x98eba2b3, "videobuf_queue_is_busy" },
	{ 0xa0511e04, "v4l2_fh_release" },
	{ 0x2fb8c9ed, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7ad3c50, "videobuf_mmap_mapper" },
	{ 0xb7917f87, "videobuf_iolock" },
	{ 0x35100d88, "videobuf_vmalloc_free" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x23cbab3d, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xe0de3066, "__video_register_device" },
	{ 0xff61b160, "videobuf_queue_vmalloc_init" },
	{ 0xdf5414f7, "v4l2_ctrl_handler_setup" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5a5d24ba, "video_device_release_empty" },
	{ 0xdcb764ad, "memset" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x93867dfd, "v4l2_ctrl_new_std" },
	{ 0xab4776cf, "v4l2_ctrl_handler_init_class" },
	{ 0x17af5372, "v4l2_device_register" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b5dbeea, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0xac737914, "videobuf_mmap_free" },
	{ 0xaf75580f, "v4l2_device_unregister" },
	{ 0x80e805, "videobuf_poll_stream" },
	{ 0x6c2805c3, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xee42554b, "v4l2_fh_open" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0xdbc61fea, "videobuf_reqbufs" },
	{ 0x3ee6a61c, "videobuf_querybuf" },
	{ 0x17487516, "videobuf_qbuf" },
	{ 0xb41780b6, "videobuf_dqbuf" },
	{ 0xabb3815f, "videobuf_streamoff" },
	{ 0xf0cfd3d0, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd222b8f, "v4l2_device_put" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xbc6dc48e, "v4l2_device_disconnect" },
	{ 0x8ecbc19a, "video_unregister_device" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x86889a83, "usb_free_urb" },
	{ 0x81cf068, "usb_kill_urb" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0xa1db1c3d, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-core,videobuf-vmalloc";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP2");
