#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xf5bbc6bc, "sdhci_cqe_disable" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x356257c1, "mmc_gpiod_request_ro" },
	{ 0xbdd9ab29, "mmc_gpiod_request_cd" },
	{ 0xb81c9f1b, "mmc_gpio_get_cd" },
	{ 0xbb3af587, "pm_runtime_enable" },
	{ 0xeaff5085, "__pm_runtime_use_autosuspend" },
	{ 0xa9a3fc5c, "pm_runtime_set_autosuspend_delay" },
	{ 0x64e38fa7, "__pm_runtime_set_status" },
	{ 0x184c39e, "sdhci_add_host" },
	{ 0xc577817f, "cqhci_init" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x3c0b1fec, "mmc_of_parse" },
	{ 0x518b6413, "mmc_of_parse_voltage" },
	{ 0xa94ee70c, "of_property_read_variable_u32_array" },
	{ 0xa8afa550, "of_find_property" },
	{ 0x256bcb44, "of_get_property" },
	{ 0xaa43813, "pinctrl_lookup_state" },
	{ 0x7426d7f1, "devm_pinctrl_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0x8e1bfc5d, "sdhci_pltfm_init" },
	{ 0x72f68f00, "of_match_device" },
	{ 0xd6c8be2c, "mmc_gpio_get_ro" },
	{ 0x8df5f0cc, "pinctrl_select_state" },
	{ 0x73cc432e, "mmc_send_tuning" },
	{ 0x485d57fa, "sdhci_resume_host" },
	{ 0x1449528b, "sdhci_execute_tuning" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x44177e67, "cqhci_irq" },
	{ 0x86feba1a, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x4b4d19d7, "sdhci_reset" },
	{ 0x77971026, "sdhci_dumpregs" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0x382f0206, "sdhci_cqe_enable" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x2abf03f0, "sdhci_pltfm_free" },
	{ 0x6b41a40, "sdhci_remove_host" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xfd73fa2c, "__pm_runtime_disable" },
	{ 0x75073b88, "__pm_runtime_resume" },
	{ 0x7f2c6e24, "sdhci_suspend_host" },
	{ 0xea5ed3f9, "sdhci_runtime_suspend_host" },
	{ 0x4f17f247, "cqhci_suspend" },
	{ 0x5c5864b9, "cqhci_resume" },
	{ 0xef093b1c, "sdhci_runtime_resume_host" },
	{ 0x28a8c058, "pm_qos_add_request" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa41935ec, "pm_qos_remove_request" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,mmc_core,cqhci,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhcC*");
MODULE_ALIAS("platform:sdhci-esdhc-imx25");
MODULE_ALIAS("platform:sdhci-esdhc-imx35");
MODULE_ALIAS("platform:sdhci-esdhc-imx51");

MODULE_INFO(srcversion, "9E489CFF8D953A5D3514139");

MODULE_INFO(suserelease, "SLE15-SP2");
