#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xf301ffdd, "sdhci_set_bus_width" },
	{ 0xf5bbc6bc, "sdhci_cqe_disable" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0xe802dc42, "sdhci_start_signal_voltage_switch" },
	{ 0x6e1a0ddb, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd90e54dc, "sdhci_set_clock" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xa2053add, "sdhci_set_uhs_signaling" },
	{ 0x8df5f0cc, "pinctrl_select_state" },
	{ 0x767ed12b, "__sdhci_add_host" },
	{ 0xd3c894aa, "sdhci_cleanup_host" },
	{ 0xc577817f, "cqhci_init" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x184c39e, "sdhci_add_host" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xc5850110, "printk" },
	{ 0xb4cd6531, "sdhci_setup_host" },
	{ 0x9a7d394f, "sdhci_enable_v4_mode" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xaa43813, "pinctrl_lookup_state" },
	{ 0x7426d7f1, "devm_pinctrl_get" },
	{ 0x996c1c57, "__devm_reset_control_get" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0x887f1f9b, "devm_gpiod_get_optional" },
	{ 0xcff2ef1c, "device_property_read_u32_array" },
	{ 0x91a4251a, "device_property_present" },
	{ 0x3c0b1fec, "mmc_of_parse" },
	{ 0x8e1bfc5d, "sdhci_pltfm_init" },
	{ 0x72f68f00, "of_match_device" },
	{ 0x77971026, "sdhci_dumpregs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x382f0206, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x1449528b, "sdhci_execute_tuning" },
	{ 0x2abf03f0, "sdhci_pltfm_free" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x6b41a40, "sdhci_remove_host" },
	{ 0x4f17f247, "cqhci_suspend" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7f2c6e24, "sdhci_suspend_host" },
	{ 0x5c5864b9, "cqhci_resume" },
	{ 0x485d57fa, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x44177e67, "cqhci_irq" },
	{ 0x86feba1a, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x4653ba05, "dma_set_coherent_mask" },
	{ 0xd3ee3c12, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xd6c8be2c, "mmc_gpio_get_ro" },
	{ 0x81f7787f, "regulator_is_supported_voltage" },
	{ 0x73cc432e, "mmc_send_tuning" },
	{ 0x4b4d19d7, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12a38747, "usleep_range" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,cqhci,mmc_core,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "B345F78539ED47EE9E37C3C");

MODULE_INFO(suserelease, "SLE15-SP2");
