#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1cfe4e63, "nand_subop_get_data_start_off" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ecbb3b8, "nand_check_erased_ecc_chunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x21a3e0bd, "nand_subop_get_data_len" },
	{ 0x14327b8f, "nand_subop_get_num_addr_cyc" },
	{ 0xb1e7d328, "nand_subop_get_addr_start_off" },
	{ 0xdb68d933, "nand_op_parser_exec_op" },
	{ 0x5040ed0, "dma_direct_unmap_sg" },
	{ 0x84273599, "dma_direct_map_sg" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x53983517, "regmap_update_bits_base" },
	{ 0xc30a3f00, "regmap_write" },
	{ 0x8cd2c816, "syscon_regmap_lookup_by_phandle" },
	{ 0x8c4df26f, "of_device_get_match_data" },
	{ 0xc57f552f, "of_node_put" },
	{ 0x8cadc412, "of_get_next_child" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0x6dbb29cb, "platform_get_irq" },
	{ 0x9d21558e, "devm_ioremap_resource" },
	{ 0xd71d43aa, "platform_get_resource" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xf55019e9, "nand_read_data_op" },
	{ 0x43cdc146, "nand_change_read_column_op" },
	{ 0x8359c866, "nand_read_page_op" },
	{ 0x3fd613fe, "nand_prog_page_end_op" },
	{ 0xf8ea24ab, "nand_write_data_op" },
	{ 0x59e35ecc, "nand_change_write_column_op" },
	{ 0x5c95bb73, "nand_prog_page_begin_op" },
	{ 0x29361773, "complete" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xea50938f, "of_property_read_string" },
	{ 0x8f37032b, "of_property_count_elems_of_size" },
	{ 0x9cd9c01b, "of_property_read_u32_index" },
	{ 0xeceec1d7, "mtd_device_parse_register" },
	{ 0x30305fc6, "nand_scan_with_ids" },
	{ 0xa8afa550, "of_find_property" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x4f18c0bb, "devm_kasprintf" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xdcb764ad, "memset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xdef8918a, "dma_release_channel" },
	{ 0x2c965c20, "nand_release" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nand,mtd";

MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nandC*");
MODULE_ALIAS("platform:pxa3xx-nand");

MODULE_INFO(srcversion, "94C89B81A539446C3F11217");

MODULE_INFO(suserelease, "SLE15-SP2");
