#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x91306fbb, "orinoco_tx_timeout" },
	{ 0x2e740abc, "orinoco_change_mtu" },
	{ 0xfaff6e2f, "eth_validate_addr" },
	{ 0x7ed1bb1a, "eth_mac_addr" },
	{ 0xc1770fff, "orinoco_set_multicast_list" },
	{ 0xeddd127c, "orinoco_stop" },
	{ 0xc651b1f9, "orinoco_open" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0xef52a5c6, "release_firmware" },
	{ 0x79067b36, "orinoco_if_add" },
	{ 0xe72cc588, "orinoco_init" },
	{ 0x55fcf823, "request_firmware" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x26d8835c, "alloc_orinocodev" },
	{ 0xcc5a1df, "__orinoco_ev_rx" },
	{ 0x6ec88260, "__orinoco_ev_info" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x4afea7b1, "orinoco_process_xmit_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0x4daa60ff, "consume_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf46dcd8f, "__dynamic_netdev_dbg" },
	{ 0x2fb8c9ed, "usb_control_msg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa1db1c3d, "usb_alloc_urb" },
	{ 0xc7b817c9, "kmem_cache_alloc_trace" },
	{ 0x219693e8, "kmalloc_caches" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82436da, "usb_submit_urb" },
	{ 0x41b5f6c2, "free_orinocodev" },
	{ 0x35ad99, "wiphy_unregister" },
	{ 0xd398adbd, "orinoco_if_del" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xffe0fc34, "usb_unlink_urb" },
	{ 0x8d5569f1, "__ll_sc_arch_atomic_fetch_add_relaxed" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x81cf068, "usb_kill_urb" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeea08641, "netif_tx_wake_queue" },
	{ 0x29361773, "complete" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xc5850110, "printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37a0cba, "kfree" },
	{ 0x86889a83, "usb_free_urb" },
	{ 0x4bd81dfb, "__ll_sc_arch_atomic_fetch_sub_release" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9C00F4AC0166581F90E45DA");

MODULE_INFO(suserelease, "SLE15-SP2");
