#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xc3b7e283, "mt76x02_remove_interface" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x6aa9e620, "__mt76_poll" },
	{ 0x9908974e, "mt76x02_sw_scan" },
	{ 0x9d845d1f, "mt76x02_conf_tx" },
	{ 0x52b125fa, "mt76x02_ampdu_action" },
	{ 0x5a0322e6, "mt76u_stop_rx" },
	{ 0xe46e762e, "mt76x02u_exit_beacon_config" },
	{ 0xf9de07f9, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4eb0ea50, "mt76u_vendor_request" },
	{ 0x7f9aaca5, "ieee80211_unregister_hw" },
	{ 0x25ab102, "mt76x02u_init_beacon_config" },
	{ 0xf3fd910c, "mt76u_stop_tx" },
	{ 0x3984dcda, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd710baf8, "mt76x0_mac_start" },
	{ 0x6e70c8d6, "mt76x02_bss_info_changed" },
	{ 0x5bce12eb, "mt76x0_init_hardware" },
	{ 0x28e71fd3, "mt76_sta_state" },
	{ 0x2fc334e5, "mt76x02_set_rts_threshold" },
	{ 0x9dcb28a0, "mt76x02u_tx_prepare_skb" },
	{ 0x6e8792ba, "mt76x02u_init_mcu" },
	{ 0x915cddba, "_dev_warn" },
	{ 0xd3ffa9ae, "mt76u_init" },
	{ 0xf12d369e, "mt76x02u_mcu_fw_send_data" },
	{ 0x115fbdce, "mt76x0_mac_stop" },
	{ 0xa79c4dd9, "mt76x02_sta_add" },
	{ 0xfb7c0d3, "mt76x02_tx_status_data" },
	{ 0x1cb74ec8, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xdaaba877, "mt76x02_sta_remove" },
	{ 0x7c8a4af, "mt76x02_tx" },
	{ 0x8b7d62de, "__mt76_poll_msec" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xaa38d5ab, "mt76x02_sw_scan_complete" },
	{ 0x84881e92, "mt76_set_tim" },
	{ 0x63bd2ce2, "mt76x0_phy_calibrate" },
	{ 0xafc685a9, "mt76x02u_mcu_fw_reset" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xb8e9f4ce, "mt76x0_register_device" },
	{ 0xc6da8dae, "mt76x0_config" },
	{ 0xe2116515, "ieee80211_queue_delayed_work" },
	{ 0x4d8156, "mt76u_queues_deinit" },
	{ 0xc7df2984, "mt76x02_queue_rx_skb" },
	{ 0xbf97024d, "mt76x0_chip_onoff" },
	{ 0xee8a5c7e, "mt76x02_configure_filter" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x564a8025, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3d2df2ad, "usb_reset_device" },
	{ 0x89ab7b59, "usb_put_dev" },
	{ 0x27deb53b, "mt76_alloc_device" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0xcd2d0125, "mt76x02_sta_rate_tbl_update" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x42868ec6, "mt76u_resume_rx" },
	{ 0x35048046, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x19cb1324, "mt76_wake_tx_queue" },
	{ 0x6e256a37, "mt76_get_txpower" },
	{ 0x84449c4f, "usb_register_driver" },
	{ 0x55fcf823, "request_firmware" },
	{ 0x2c9f7264, "mt76_release_buffered_frames" },
	{ 0x8b9fa9e9, "ieee80211_free_hw" },
	{ 0x97c2a275, "mt76x02_set_key" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa92facc2, "firmware_request_nowarn" },
	{ 0xef52a5c6, "release_firmware" },
	{ 0xcae787ca, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
