#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x136209db, "power_supply_reg_notifier" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8c4df26f, "of_device_get_match_data" },
	{ 0x4f05b11d, "regulator_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34090f3b, "devm_phy_create" },
	{ 0x9d21558e, "devm_ioremap_resource" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x996c1c57, "__devm_reset_control_get" },
	{ 0x2bde0111, "__platform_driver_register" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x619a03be, "extcon_set_state_sync" },
	{ 0xa8afa550, "of_find_property" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5792f848, "strlcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xf40845d9, "_dev_info" },
	{ 0x6b81c38b, "power_supply_unreg_notifier" },
	{ 0x88b6d53e, "power_supply_get_property" },
	{ 0x9acf8198, "devm_free_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xbcbfd68d, "of_usb_get_dr_mode_by_phy" },
	{ 0x49ba73a8, "devm_regulator_get_optional" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x7ea071ca, "devm_extcon_dev_register" },
	{ 0x7783a8e3, "platform_get_resource_byname" },
	{ 0x887f1f9b, "devm_gpiod_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5a75d346, "gpiod_to_irq" },
	{ 0x709dbb6e, "devm_power_supply_get_by_phandle" },
	{ 0xefe5d7f6, "__devm_of_phy_provider_register" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4de407f, "devm_extcon_dev_allocate" },
	{ 0x9e3ee0c9, "platform_driver_unregister" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0x2171d4dc, "regulator_enable" },
	{ 0x614492ed, "gpiod_get_value_cansleep" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-usb-phyC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-usb-phy");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-usb-phyC*");

MODULE_INFO(srcversion, "500631D46115AB1CB417E51");

MODULE_INFO(suserelease, "SLE15-SP2");
