#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x4b8cd226, "module_layout" },
	{ 0x24bd2bfd, "driver_unregister" },
	{ 0x1dbd91a9, "uart_unregister_driver" },
	{ 0x67b5953, "i2c_del_driver" },
	{ 0xe60f8417, "__spi_register_driver" },
	{ 0x10289f61, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0x93c5366b, "uart_register_driver" },
	{ 0x51eda000, "spi_get_device_id" },
	{ 0x73fcd0df, "__devm_regmap_init_spi" },
	{ 0xc1d07a74, "spi_setup" },
	{ 0xaef05342, "__devm_regmap_init_i2c" },
	{ 0x66037704, "device_get_match_data" },
	{ 0xd9ab3c58, "__dynamic_dev_dbg" },
	{ 0x231d2e34, "devm_request_threaded_irq" },
	{ 0xe04de1d9, "uart_add_one_port" },
	{ 0x14dc8bb4, "gpiochip_remove" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xaa81a859, "uart_remove_one_port" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x31ce8c6a, "kthread_stop" },
	{ 0x41cc602c, "gpiochip_add_data_with_key" },
	{ 0xd0c4ef83, "sched_setscheduler" },
	{ 0x3ea0415, "wake_up_process" },
	{ 0x2f531fcf, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x3f9eeab5, "__kthread_init_worker" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xaebe9cfd, "devm_clk_get" },
	{ 0xcff2ef1c, "device_property_read_u32_array" },
	{ 0x33bb5883, "devm_kmalloc" },
	{ 0x915cddba, "_dev_warn" },
	{ 0x2692a755, "do_SAK" },
	{ 0x4c301927, "tty_flip_buffer_push" },
	{ 0xe537af5b, "uart_insert_char" },
	{ 0xe063e590, "regmap_raw_read" },
	{ 0x5e12aa76, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8884fb7a, "uart_update_timeout" },
	{ 0x7a7ae340, "uart_get_baud_rate" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe59a03e1, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9554974d, "regmap_raw_write" },
	{ 0x100a672f, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x405d52eb, "regmap_read" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xfeb569e7, "_dev_err" },
	{ 0xb40633f1, "kthread_queue_work" },
	{ 0xbb7fdd5b, "kthread_flush_worker" },
	{ 0xc30a3f00, "regmap_write" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x53983517, "regmap_update_bits_base" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "SLE15-SP2");
